<?php
require("session_check.php");	
	require("../foundation/aintegral.php");
	require("../foundation/adata_count.php");
	
	//语言包引入
	$m_langpackage=new modulelp;
	
	//变量取得
	if(empty($share_id)){
		$share_id=short_check(get_argg('sid'));
		$u_id=short_check(get_argg('u_id'));
	}
	//数据表定义区
	$t_share=$tablePreStr."share";

	$dbo = new dbex;
	//读写分离定义函数
	dbtarget('w',$dbServs);

	//删除评论
	$sql = "delete from $t_share where s_id=$share_id";
	if($dbo -> exeUpdate($sql)){
		increase_integral($dbo,$int_del_sha,$u_id);
		update_count($dbo,$u_id,"share_num",-1);
		echo $m_langpackage->m_del_suc;
	}
?>
